/* Copyright (c) 1997, MpegTV LLC */
#ifndef _forms_fix_h
#define _forms_fix_h
#ifndef lint
static char rcsid_forms_fix_h[] = "$Header: /net/iris/disk2/tristan/tristan/mpeg/dec/RCS/forms.h,v 1.8 1997/07/28 09:11:42 tristan Exp tristan $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */


#include "FORMS/forms.h"

#if defined(SGI)

#undef FL_TINY_SIZE
#undef FL_SMALL_SIZE 
#undef FL_NORMAL_SIZE
#undef FL_MEDIUM_SIZE
#undef FL_LARGE_SIZE
#undef FL_HUGE_SIZE


#define FL_TINY_SIZE       8
#define FL_SMALL_SIZE      8
#define FL_NORMAL_SIZE     9
#define FL_MEDIUM_SIZE     10
#define FL_LARGE_SIZE      14
#define FL_HUGE_SIZE       18

#define fl_add_text(a, b, c, d, e, f) \
	(fl_set_object_lsize((obj = fl_add_text(a, b, c, d, e, f)), FL_NORMAL_SIZE), obj)
#define fl_add_round_button(a, b, c, d, e, f) \
	(fl_set_object_lsize((obj = fl_add_round_button(a, b, c, d, e, f)), FL_NORMAL_SIZE), obj)
#define fl_add_button(a, b, c, d, e, f) \
	(fl_set_object_lsize((obj = fl_add_button(a, b, c, d, e, f)), FL_NORMAL_SIZE), obj)
#define fl_add_box(a, b, c, d, e, f) \
	(fl_set_object_lsize((obj = fl_add_box(a, b, c, d, e, f)), FL_NORMAL_SIZE), obj)
#define fl_add_checkbutton(a, b, c, d, e, f) \
	(fl_set_object_lsize((obj = fl_add_checkbutton(a, b, c, d, e, f)), FL_NORMAL_SIZE), obj)
#define fl_add_roundbutton(a, b, c, d, e, f) \
	(fl_set_object_lsize((obj = fl_add_roundbutton(a, b, c, d, e, f)), FL_NORMAL_SIZE), obj)


#endif /* SGI */

#endif /* _forms_fix_h */
